aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.travis.yml4
-rwxr-xr-xci/before_install.sh14
-rwxr-xr-xci/install.sh4
3 files changed, 11 insertions, 11 deletions
diff --git a/.travis.yml b/.travis.yml
index fa884bd021..8ad9d7a6fb 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -69,10 +69,10 @@ jobs:
env: BUILD_32BIT=ON
- os: osx
compiler: clang
- osx_image: xcode7.3 # macOS 10.11
+ osx_image: xcode9.4 # macOS 10.13
- os: osx
compiler: gcc
- osx_image: xcode7.3 # macOS 10.11
+ osx_image: xcode9.4 # macOS 10.13
- os: linux
env: CI_TARGET=lint
- stage: Flaky builds
diff --git a/ci/before_install.sh b/ci/before_install.sh
index 9a3e192536..6610d7d3d5 100755
--- a/ci/before_install.sh
+++ b/ci/before_install.sh
@@ -9,6 +9,8 @@ fi
if [[ "${TRAVIS_OS_NAME}" == osx ]]; then
brew update
+ echo "Upgrade Python 3"
+ brew upgrade python
fi
echo 'python info:'
@@ -24,17 +26,15 @@ echo 'python info:'
) | sed 's/^/ /'
if [[ "${TRAVIS_OS_NAME}" == osx ]]; then
- echo "Upgrade Python 3."
- brew upgrade python
- echo "Upgrade Python 3 pip."
+ echo "Upgrade Python 3 pip"
pip3 -q install --user --upgrade pip
else
- echo "Upgrade Python 2 pip."
- pip2.7 -q install --user --upgrade pip
- echo "Upgrade Python 3 pip."
+ echo "Upgrade Python 2 pip"
+ python2.7 -m pip -q install --user --upgrade pip
+ echo "Upgrade Python 3 pip"
# Allow failure. pyenv pip3 on travis is broken:
# https://github.com/travis-ci/travis-ci/issues/8363
- pip3 -q install --user --upgrade pip || true
+ python3 -m pip -q install --user --upgrade pip || true
fi
echo "Install node (LTS)"
diff --git a/ci/install.sh b/ci/install.sh
index e95e2f29c1..2cb8e78e67 100755
--- a/ci/install.sh
+++ b/ci/install.sh
@@ -18,14 +18,14 @@ fi
echo "Install neovim module for Python 3."
# Allow failure. pyenv pip3 on travis is broken:
# https://github.com/travis-ci/travis-ci/issues/8363
-CC=cc pip3 -q install --user --upgrade neovim || true
+CC=cc python3 -m pip -q install --user --upgrade neovim || true
if ! [ "${TRAVIS_OS_NAME}" = osx ] ; then
# Update PATH for pip.
export PATH="$(python2.7 -c 'import site; print(site.getuserbase())')/bin:$PATH"
# Use default CC to avoid compilation problems when installing Python modules.
echo "Install neovim module for Python 2."
- CC=cc pip2.7 -q install --user --upgrade neovim
+ CC=cc python2.7 -m pip -q install --user --upgrade neovim
echo "Install neovim RubyGem."
gem install --no-document --version ">= 0.2.0" neovim